@rem ------------------------------
@rem Text Extender fix installation
@rem Fix0002                       
@rem ------------------------------
@echo on

@echo --------------------------------------------------------------
@echo Installation of Text Extender fix package Fix0002 starting ...
@echo --------------------------------------------------------------
@echo Text Extender server is stopped.
@call txstop
@echo Text Extender scheduling service is stopped.
@call desdem stop
@echo off
@if "%dmbmmpath%"=="" goto error
@if exist %dmbmmpath%\bin goto bin
goto error1

:bin
@ren %dmbmmpath%\bin\db2tx.exe     db2tx._exe_       2>>fix0002.log
@ren %dmbmmpath%\bin\desxctl.exe   desxctl._exe_     2>>fix0002.log
@ren %dmbmmpath%\bin\dessrvbg.exe  dessrvbg._exe_    2>>fix0002.log

@ren %dmbmmpath%\bin\desdem.exe    desdem._exe_      2>>fix0002.log
@echo Copy files to %dmbmmpath%\bin ...
@copy *.exe  %dmbmmpath%\bin                         1>>fix0002.log
                                                   
@if exist %dmbmmpath%\dll goto dll
goto error1
:dll
@ren %dmbmmpath%\dll\deslsctx.dll  deslsctx._dll_    2>>fix0002.log 
@ren %dmbmmpath%\dll\deslsstx.dll  deslsstx._dll_    2>>fix0002.log 
@ren %dmbmmpath%\dll\desadm.dll    desadm._dll_      2>>fix0002.log
@ren %dmbmmpath%\dll\dessvapi.dll  dessvapi._dll_    2>>fix0002.log
@ren %dmbmmpath%\dll\desclapi.dll  desclapi._dll_    2>>fix0002.log
                                                     
ren %dmbmmpath%\dll\desue.dll     desue._dll_        2>>fix0002.log 
ren %dmbmmpath%\dll\desui.dll     desui._dll_        2>>fix0002.log
ren %dmbmmpath%\dll\desuet.dll    desuet._dll_       2>>fix0002.log
ren %dmbmmpath%\dll\desuit.dll    desuit._dll_       2>>fix0002.log

@echo Copy files to %dmbmmpath%\dll ...
@copy des*.dll %dmbmmpath%\dll                       1>>fix0002.log

@echo Fix installation complete.
@echo You can start the Text Extender server again.
goto exit
:error
echo Environment variable DMBMMPATH not set.
goto exit
:error1
echo DB2 Text Extender is not installed correctly.
goto exit
:exit
